#
# spec file for package cpprest
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define major 2
%define minor 6
Name:           cpprest
Version:        2.6.0
Release:        9.4
Summary:        C++ REST library
License:        Apache-2.0
Group:          Devlopment/Libraries/C and C++
Url:            https://casablanca.codeplex.com/
Source:         http://download-codeplex.sec.s-msft.com/Download/SourceControlFileDownload.ashx?ProjectName=casablanca&changeSetId=c7d85ee385c6#/%{name}-%{version}.zip
Patch1:         cpprest-pthread.patch
BuildRequires:  boost-devel
BuildRequires:  cmake >= 2.6
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The C++ REST SDK is a Microsoft project for cloud-based client-server
communication in native code using a modern asynchronous C++ API design. This
project aims to help C++ developers connect to and interact with services.

Also known as Casablanca.

%package -n libcpprest%{major}_%{minor}
Summary:        C++ Rest library
Group:          System/Libraries

%description -n libcpprest%{major}_%{minor}
The C++ REST SDK is a Microsoft project for cloud-based client-server
communication in native code using a modern asynchronous C++ API design. This
project aims to help C++ developers connect to and interact with services.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       libcpprest%{major}_%{minor} = %{version}

%description devel
The C++ REST SDK is a Microsoft project for cloud-based client-server
communication in native code using a modern asynchronous C++ API design. This
project aims to help C++ developers connect to and interact with services.

Development files.

%prep
%setup -q -c
%patch1 -p1

%build
%cmake \
	-DCMAKE_BUILD_TYPE=Release \
%ifarch ppc ppc64 ppc64le aarch64 %arm
	-DCMAKE_CXX_FLAGS:STRING="%{optflags} -Wno-error=attributes -Wno-error=type-limits -Wno-error=cast-align -Wno-error=deprecated-declarations" \
%endif
	../Release
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_includedir}
cp -r Release/include/* %{buildroot}%{_includedir}/
install -d -m 755 %{buildroot}%{_libdir}
cp build/Binaries/libcpprest.so.%{major}.%{minor} %{buildroot}%{_libdir}/
ln -sf libcpprest.so.%{major}.%{minor} %{buildroot}%{_libdir}/libcpprest.so

%post -n libcpprest%{major}_%{minor} -p /sbin/ldconfig

%postun -n libcpprest%{major}_%{minor} -p /sbin/ldconfig

%files -n libcpprest%{major}_%{minor}
%defattr(-,root,root)
%doc CONTRIBUTORS.txt license.txt
%{_libdir}/libcpprest.so.%{major}.%{minor}

%files devel
%defattr(-,root,root)
%doc CONTRIBUTORS.txt license.txt
%{_includedir}/%{name}
%{_includedir}/pplx
%{_libdir}/libcpprest.so

%changelog
* Tue Jul  7 2015 schwab@suse.de
- Ignore cdecl warning also on arm
* Sun Jun 28 2015 astieger@suse.com
- fix architecture builds
* Wed Jun 24 2015 idonmez@suse.com
- Add cpprest-pthread.patch to fix unit test linking
* Fri Jun 12 2015 astieger@suse.com
- update to 2.6.0
  * Deprecate streambuf::putn API
  * File streams cleanup improvements
  * API detail improvements
  * Removed dependency on Boost.Locale and libiconv.
* Thu May 28 2015 astieger@suse.com
- fix files listed twice
* Thu May 28 2015 astieger@suse.com
- initial package
